# Fetches items based on the game you pass as a query

`GET /v1/get-items-list`

Responses are limited to 100 items.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `skip` | query | number | optional | How many of the previous items need to be skipped |
| `search` | query | string | optional | Search items by name, ex: asiimov |
| `brand` | query | enum | optional | The specified category of game items, ex: rifle for CS:GO and Pants for Rust |
| `order` | query | enum | optional |  |
| `order_by` | query | enum | optional | Return order |
| `exterior` | query | enum | optional | For CS:GO game |
| `max_price` | query | number | optional | 1000 = 1$ |
| `min_price` | query | number | optional | 1000 = 1$ |
| `game` | query | enum | optional | Which game would you like to get items from |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/get-items-list?api=%7B%7BAPI_KEY%7D%7D&skip=0&brand=knife&order=desc&order_by=price&exterior=FN&game=csgo'
```

## Example response

```json
{
  "success": true,
  "items": [
    {
      "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
      "price": 4999,
      "float": 0.1452850103378296,
      "best_deals": 541,
      "discount": 10,
      "steam_price": 5540,
      "image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/520026599/200fx125f",
      "item_id": "27402864642",
      "brand": "pistol",
      "type": "Glock-18",
      "phase": "Phase 4"
    }
  ],
  "count": 101,
  "has_more": true
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
